### Method

# Adw ViewStack get_transition_running

since: 1.7

#### Declaration [src]

    gboolean
    adw_view_stack_get_transition_running (
      AdwViewStack* self
    )

#### Description [src]

Gets whether a transition is currently running for `self`.

If a transition is impossible, the property value will be set to `TRUE` and then immediately to `FALSE`, so it’s possible to rely on its notifications to know that a transition has happened.

Available since: 1.7

Gets property | `Adw.ViewStack:transition-running`

#### Return value

Type: `gboolean`

Whether a transition is currently running.